scala.xml.parsing

# ConstructingParser

#### class ConstructingParser extends ConstructingHandler with ExternalSources with MarkupParser

An xml parser. parses XML and invokes callback methods of a MarkupHandler. Don't forget to call next.ch on a freshly instantiated parser in order to initialize it. If you get the parser from the object method, initialization is already done for you.

    object parseFromURL {
      def main(args:Array[String]): Unit = {
        val url = args(0);
        val src = scala.io.Source.fromURL(url);
        val cpa = scala.xml.parsing.ConstructingParser.fromSource(src, false); // fromSource initializes automatically
        val doc = cpa.document();

        // let's see what it is
        val ppr = new scala.xml.PrettyPrinter(80,5);
        val ele = doc.docElem;
        Console.println("finished parsing");
        val out = ppr.format(ele);
        Console.println(out);
      }
    }

Source
  ConstructingParser.scala

Linear Supertypes
MarkupParser, MarkupParserCommon, TokenTests, ExternalSources, ConstructingHandler, MarkupHandler, Logged, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ConstructingParser
2. MarkupParser
3. MarkupParserCommon
4. TokenTests
5. ExternalSources
6. ConstructingHandler
7. MarkupHandler
8. Logged
9. AnyRef
10. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConstructingParser(input: Source, preserveWS: Boolean)

### Type Members

1. #### type AttributesType = (MetaData, NamespaceBinding)

   Definition Classes
     MarkupParser → MarkupParserCommon

2. #### type ElementType = NodeSeq

   Definition Classes
     MarkupParser → MarkupParserCommon

3. #### type InputType = Source

   Definition Classes
     MarkupParser → MarkupParserCommon

4. #### type NamespaceType = NamespaceBinding

   Definition Classes
     MarkupParser → MarkupParserCommon

5. #### type PositionType = Int

   Definition Classes
     MarkupParser → MarkupParserCommon

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def appendText(pos: Int, ts: NodeBuffer, txt: String): Unit

   Definition Classes
     MarkupParser

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def attListDecl(name: String, attList: List[AttrDecl]): Unit

   Definition Classes
     MarkupHandler

9. #### def attrDecl(): Unit

   <! attlist := ATTLIST

   <! attlist := ATTLIST

   Definition Classes
     MarkupParser

10. #### val cbuf: StringBuilder

    character buffer, for names

    character buffer, for names

    Attributes
      protected
    Definition Classes
      MarkupParser

11. #### var ch: Char

    holds the next character

    holds the next character

    Definition Classes
      MarkupParser → MarkupParserCommon

12. #### def ch_returning_nextch: Char

    Definition Classes
      MarkupParser → MarkupParserCommon

13. #### def checkPubID(s: String): Boolean

    Definition Classes
      TokenTests

14. #### def checkSysID(s: String): Boolean

    Definition Classes
      TokenTests

15. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

16. #### def comment(pos: Int, txt: String): Comment

    callback method invoked by MarkupParser after parsing comment.

    callback method invoked by MarkupParser after parsing comment.

    Definition Classes
      ConstructingHandler → MarkupHandler

17. #### def content(pscope: NamespaceBinding): NodeSeq

    content1 ::= '<' content1 | '&' charref .

    content1 ::= '<' content1 | '&' charref ...

    Definition Classes
      MarkupParser

18. #### def content1(pscope: NamespaceBinding, ts: NodeBuffer): Unit

    '<' content1 ::= .

    '<' content1 ::= ...

    Definition Classes
      MarkupParser

19. #### var curInput: Source

    Definition Classes
      MarkupParser

20. #### var decls: List[Decl]

    Definition Classes
      MarkupHandler

21. #### var doc: Document

    Attributes
      protected
    Definition Classes
      MarkupParser

22. #### def document(): Document

    [22] prolog ::= XMLDecl? Misc* (doctypedecl Misc*)? [23] XMLDecl ::= '<?xml' VersionInfo EncodingDecl? SDDecl? S? '?>' [24] VersionInfo ::= S 'version' Eq ("'" VersionNum "'" | '"' VersionNum '"') [25] Eq ::= S? '=' S? [26] VersionNum ::= '1.

    [22] prolog ::= XMLDecl? Misc* (doctypedecl Misc*)? [23] XMLDecl ::= '<?xml' VersionInfo EncodingDecl? SDDecl? S? '?>' [24] VersionInfo ::= S 'version' Eq ("'" VersionNum "'" | '"' VersionNum '"') [25] Eq ::= S? '=' S? [26] VersionNum ::= '1.0' [27] Misc ::= Comment | PI | S

    Definition Classes
      MarkupParser

23. #### var dtd: DTD

    Definition Classes
      MarkupParser

24. #### def elem(pos: Int, pre: String, label: String, attrs: MetaData, pscope: NamespaceBinding, nodes: NodeSeq): NodeSeq

    callback method invoked by MarkupParser after parsing an element, between the elemStart and elemEnd callbacks

    callback method invoked by MarkupParser after parsing an element, between the elemStart and elemEnd callbacks

    pos

      the position in the source file

    pre

      the prefix

    label

      the local name

    attrs

      the attributes (metadata)

    returns

      ...

    Definition Classes
      ConstructingHandler → MarkupHandler

25. #### def elemDecl(n: String, cmstr: String): Unit

    Definition Classes
      MarkupHandler

26. #### def elemEnd(pos: Int, pre: String, label: String): Unit

    callback method invoked by MarkupParser after end-tag of element.

    callback method invoked by MarkupParser after end-tag of element.

    pos

      the position in the source file

    pre

      the prefix

    label

      the local name

    Definition Classes
      MarkupHandler

27. #### def elemStart(pos: Int, pre: String, label: String, attrs: MetaData, scope: NamespaceBinding): Unit

    callback method invoked by MarkupParser after start-tag of element.

    callback method invoked by MarkupParser after start-tag of element.

    pos

      the position in the sourcefile

    pre

      the prefix

    label

      the local name

    attrs

      the attributes (metadata)

    Definition Classes
      MarkupHandler

28. #### def element(pscope: NamespaceBinding): NodeSeq

    Definition Classes
      MarkupParser

29. #### def element1(pscope: NamespaceBinding): NodeSeq

    '<' element ::= xmlTag1 '>' { xmlExpr | '{' simpleExpr '}' } ETag | xmlTag1 '/' '>'

    '<' element ::= xmlTag1 '>' { xmlExpr | '{' simpleExpr '}' } ETag | xmlTag1 '/' '>'

    Definition Classes
      MarkupParser

30. #### def elementDecl(): Unit

    <! element := ELEMENT

    <! element := ELEMENT

    Definition Classes
      MarkupParser

31. #### def endDTD(n: String): Unit

    Definition Classes
      MarkupHandler

32. #### var ent: Map[String, EntityDecl]

    Definition Classes
      MarkupHandler

33. #### def entityDecl(): Unit

    <! element := ELEMENT

    <! element := ELEMENT

    Definition Classes
      MarkupParser

34. #### def entityRef(pos: Int, n: String): EntityRef

    callback method invoked by MarkupParser after parsing entity ref.

    callback method invoked by MarkupParser after parsing entity ref.

    Definition Classes
      ConstructingHandler → MarkupHandler
    To do

      expanding entity references

35. #### var eof: Boolean

    Definition Classes
      MarkupParser → MarkupParserCommon

36. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

37. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

38. #### def errorAndResult[T](msg: String, x: T): T

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

39. #### def errorNoEnd(tag: String): Nothing

    Definition Classes
      MarkupParser → MarkupParserCommon

40. #### var extIndex: Int

    Definition Classes
      MarkupParser

41. #### def extSubset(): Unit

    Definition Classes
      MarkupParser

42. #### def externalID(): ExternalID

    externalID ::= SYSTEM S syslit PUBLIC S pubid S syslit

    externalID ::= SYSTEM S syslit PUBLIC S pubid S syslit

    Definition Classes
      MarkupParser

43. #### def externalSource(systemId: String): Source

    .

    ...

    systemId

      ...

    returns

      ...

    Definition Classes
      ExternalSources

44. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

45. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

46. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

47. #### def initialize: ConstructingParser.this.type

    As the current code requires you to call nextch once manually after construction, this method formalizes that suboptimal reality.

    As the current code requires you to call nextch once manually after construction, this method formalizes that suboptimal reality.

    Definition Classes
      MarkupParser

48. #### var inpStack: List[Source]

    stack of inputs

    stack of inputs

    Definition Classes
      MarkupParser

49. #### val input: Source

    Definition Classes
      ConstructingParser → MarkupParser

50. #### def intSubset(): Unit

    "rec-xml/#ExtSubset" pe references may not occur within markup declarations

    "rec-xml/#ExtSubset" pe references may not occur within markup declarations

    Definition Classes
      MarkupParser

51. #### def isAlpha(c: Char): Boolean

    These are 99% sure to be redundant but refactoring on the safe side.

    These are 99% sure to be redundant but refactoring on the safe side.

    Definition Classes
      TokenTests

52. #### def isAlphaDigit(c: Char): Boolean

    Definition Classes
      TokenTests

53. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

54. #### def isName(s: String): Boolean

    Name ::= ( Letter | '_' ) (NameChar)*

    Name ::= ( Letter | '_' ) (NameChar)*

    see [5] of XML 1.0 specification

    Definition Classes
      TokenTests

55. #### def isNameChar(ch: Char): Boolean

    NameChar ::= Letter | Digit | '.

    NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender

    see [4] and Appendix B of XML 1.0 specification

    Definition Classes
      TokenTests

56. #### def isNameStart(ch: Char): Boolean

    NameStart ::= ( Letter | '_' ) where Letter means in one of the Unicode general categories { Ll, Lu, Lo, Lt, Nl }

    NameStart ::= ( Letter | '_' ) where Letter means in one of the Unicode general categories { Ll, Lu, Lo, Lt, Nl }

    We do not allow a name to start with ':'. see [3] and Appendix B of XML 1.0 specification

    Definition Classes
      TokenTests

57. #### def isPubIDChar(ch: Char): Boolean

    Definition Classes
      TokenTests

58. #### final def isSpace(cs: Seq[Char]): Boolean

    (#x20 | #x9 | #xD | #xA)+

    (#x20 | #x9 | #xD | #xA)+

    Definition Classes
      TokenTests

59. #### final def isSpace(ch: Char): Boolean

    (#x20 | #x9 | #xD | #xA)

    (#x20 | #x9 | #xD | #xA)

    Definition Classes
      TokenTests

60. #### def isValidIANAEncoding(ianaEncoding: Seq[Char]): Boolean

    Returns true if the encoding name is a valid IANA encoding.

    Returns true if the encoding name is a valid IANA encoding. This method does not verify that there is a decoder available for this encoding, only that the characters are valid for an IANA encoding name.

    ianaEncoding

      The IANA encoding name.

    Definition Classes
      TokenTests

61. #### val isValidating: Boolean

    returns true is this markup handler is validating

    returns true is this markup handler is validating

    Definition Classes
      MarkupHandler

62. #### def log(msg: String): Unit

    This method should log the message given as argument somewhere as a side-effect.

    This method should log the message given as argument somewhere as a side-effect.

    msg

      message to be logged

    Definition Classes
      ConstructingParser → Logged

63. #### def lookahead(): BufferedIterator[Char]

    Create a lookahead reader which does not influence the input

    Create a lookahead reader which does not influence the input

    Definition Classes
      MarkupParser → MarkupParserCommon

64. #### def lookupElemDecl(Label: String): ElemDecl

    Definition Classes
      MarkupHandler

65. #### def markupDecl(): Unit

    Definition Classes
      MarkupParser

66. #### def markupDecl1(): Any

    Definition Classes
      MarkupParser

67. #### def mkAttributes(name: String, pscope: NamespaceBinding): (MetaData, NamespaceBinding)

    Definition Classes
      MarkupParser → MarkupParserCommon

68. #### def mkProcInstr(position: Int, name: String, text: String): NodeSeq

    Definition Classes
      MarkupParser → MarkupParserCommon

69. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

70. #### def nextch: Char

    this method assign the next character to ch and advances in input

    this method assign the next character to ch and advances in input

    Definition Classes
      MarkupParser → MarkupParserCommon

71. #### def notationDecl(): Unit

    'N' notationDecl ::= "OTATION"

    'N' notationDecl ::= "OTATION"

    Definition Classes
      MarkupParser

72. #### def notationDecl(notat: String, extID: ExternalID): Unit

    Definition Classes
      MarkupHandler

73. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

74. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

75. #### def parameterEntityDecl(name: String, edef: EntityDef): Unit

    Definition Classes
      MarkupHandler

76. #### def parseDTD(): Unit

    parses document type declaration and assigns it to instance variable dtd.

    parses document type declaration and assigns it to instance variable dtd.

    <! parseDTD ::= DOCTYPE name ... >

    Definition Classes
      MarkupParser

77. #### def parsedEntityDecl(name: String, edef: EntityDef): Unit

    Definition Classes
      MarkupHandler

78. #### def peReference(name: String): Unit

    Definition Classes
      MarkupHandler

79. #### def pop(): Unit

    Definition Classes
      MarkupParser

80. #### var pos: Int

    holds the position in the source file

    holds the position in the source file

    Definition Classes
      MarkupParser

81. #### val preserveWS: Boolean

    if true, does not remove surplus whitespace

    if true, does not remove surplus whitespace

    Definition Classes
      ConstructingParser → MarkupParser → ConstructingHandler

82. #### def procInstr(pos: Int, target: String, txt: String): ProcInstr

    callback method invoked by MarkupParser after parsing PI.

    callback method invoked by MarkupParser after parsing PI.

    Definition Classes
      ConstructingHandler → MarkupHandler

83. #### def prolog(): (Option[String], Option[String], Option[Boolean])

    <? prolog ::= xml S? // this is a bit more lenient than necessary.

    <? prolog ::= xml S? // this is a bit more lenient than necessary...

    Definition Classes
      MarkupParser

84. #### def pubidLiteral(): String

    Definition Classes
      MarkupParser

85. #### def push(entityName: String): Unit

    Definition Classes
      MarkupParser

86. #### def pushExternal(systemId: String): Unit

    Definition Classes
      MarkupParser

87. #### def putChar(c: Char): StringBuilder

    append Unicode character to name buffer

    append Unicode character to name buffer

    Attributes
      protected
    Definition Classes
      MarkupParser

88. #### def replacementText(entityName: String): Source

    Definition Classes
      MarkupHandler

89. #### def reportSyntaxError(str: String): Unit

    Definition Classes
      MarkupParser → MarkupParserCommon

90. #### def reportSyntaxError(pos: Int, str: String): Unit

    Definition Classes
      MarkupParser → MarkupParserCommon

91. #### def reportValidationError(pos: Int, str: String): Unit

    Definition Classes
      MarkupParser

92. #### def returning[T](x: T)(f: (T) ⇒ Unit): T

    Apply a function and return the passed value

    Apply a function and return the passed value

    Definition Classes
      MarkupParserCommon

93. #### def saving[A, B](getter: A, setter: (A) ⇒ Unit)(body: ⇒ B): B

    Execute body with a variable saved and restored after execution

    Execute body with a variable saved and restored after execution

    Definition Classes
      MarkupParserCommon

94. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

95. #### def systemLiteral(): String

    attribute value, terminated by either ' or ".

    attribute value, terminated by either ' or ". value may not contain <. AttValue ::= `'` { _ } `'` | `"` { _ } `"`

    Definition Classes
      MarkupParser

96. #### def text(pos: Int, txt: String): Text

    callback method invoked by MarkupParser after parsing text.

    callback method invoked by MarkupParser after parsing text.

    Definition Classes
      ConstructingHandler → MarkupHandler

97. #### def textDecl(): (Option[String], Option[String])

    prolog, but without standalone

    prolog, but without standalone

    Definition Classes
      MarkupParser

98. #### var tmppos: Int

    holds temporary values of pos

    holds temporary values of pos

    Definition Classes
      MarkupParser → MarkupParserCommon

99. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

100. #### def truncatedError(msg: String): Nothing

     Definition Classes
       MarkupParser → MarkupParserCommon

101. #### def unparsedEntityDecl(name: String, extID: ExternalID, notat: String): Unit

     Definition Classes
       MarkupHandler

102. #### def unreachable: Nothing

     Attributes
       protected
     Definition Classes
       MarkupParserCommon

103. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

104. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

105. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

106. #### def xAttributeValue(): String

     Definition Classes
       MarkupParserCommon

107. #### def xAttributeValue(endCh: Char): String

     attribute value, terminated by either ' or ".

     attribute value, terminated by either ' or ". value may not contain <.

     Definition Classes
       MarkupParserCommon

108. #### def xAttributes(pscope: NamespaceBinding): (MetaData, NamespaceBinding)

     parse attribute and create namespace scope, metadata [41] Attributes ::= { S Name Eq AttValue }

     parse attribute and create namespace scope, metadata [41] Attributes ::= { S Name Eq AttValue }

     Definition Classes
       MarkupParser

109. #### def xCharData: NodeSeq

     '<! CharData ::= [CDATA[ ( {char} - {char}"]]>"{char} ) ']]>'

     '<! CharData ::= [CDATA[ ( {char} - {char}"]]>"{char} ) ']]>'

     see [15]

     Definition Classes
       MarkupParser

110. #### def xCharRef: String

     Definition Classes
       MarkupParserCommon

111. #### def xCharRef(it: Iterator[Char]): String

     Definition Classes
       MarkupParserCommon

112. #### def xCharRef(ch: () ⇒ Char, nextch: () ⇒ Unit): String

     CharRef ::= "&#" '0'.

     CharRef ::= "&#" '0'..'9' {'0'..'9'} ";" | "&#x" '0'..'9'|'A'..'F'|'a'..'f' { hexdigit } ";"

     see [66]

     Definition Classes
       MarkupParserCommon

113. #### def xComment: NodeSeq

     Comment ::= '<!--' ((Char - '-') | ('-' (Char - '-')))* '-->'

     Comment ::= '<!--' ((Char - '-') | ('-' (Char - '-')))* '-->'

     see [15]

     Definition Classes
       MarkupParser

114. #### def xEQ(): Unit

     scan [S] '=' [S]

     scan [S] '=' [S]

     Definition Classes
       MarkupParserCommon

115. #### def xEndTag(startName: String): Unit

     [42] '<' xmlEndTag ::= '<' '/' Name S? '>'

     [42] '<' xmlEndTag ::= '<' '/' Name S? '>'

     Definition Classes
       MarkupParserCommon

116. #### def xEntityValue(): String

     entity value, terminated by either ' or ".

     entity value, terminated by either ' or ". value may not contain <. AttValue ::= `'` { _ } `'` | `"` { _ } `"`

     Definition Classes
       MarkupParser

117. #### def xHandleError(that: Char, msg: String): Unit

     Definition Classes
       MarkupParser → MarkupParserCommon

118. #### def xName: String

     actually, Name ::= (Letter | '_' | ':') (NameChar)* but starting with ':' cannot happen Name ::= (Letter | '_') (NameChar)*

     actually, Name ::= (Letter | '_' | ':') (NameChar)* but starting with ':' cannot happen Name ::= (Letter | '_') (NameChar)*

     see [5] of XML 1.0 specification

     pre-condition: ch != ':' // assured by definition of XMLSTART token post-condition: name does neither start, nor end in ':'

     Definition Classes
       MarkupParserCommon

119. #### def xProcInstr: ElementType

     '<?' ProcInstr ::= Name [S ({Char} - ({Char}'>?' {Char})]'?>'

     '<?' ProcInstr ::= Name [S ({Char} - ({Char}'>?' {Char})]'?>'

     see [15]

     Definition Classes
       MarkupParserCommon

120. #### def xSpace(): Unit

     scan [3] S ::= (#x20 | #x9 | #xD | #xA)+

     scan [3] S ::= (#x20 | #x9 | #xD | #xA)+

     Definition Classes
       MarkupParserCommon

121. #### def xSpaceOpt(): Unit

     skip optional space S?

     skip optional space S?

     Definition Classes
       MarkupParserCommon

122. #### def xTag(pscope: NamespaceType): (String, (MetaData, NamespaceBinding))

     parse a start or empty tag.

     parse a start or empty tag. [40] STag ::= '<' Name { S Attribute } [S] [44] EmptyElemTag ::= '<' Name { S Attribute } [S]

     Attributes
       protected
     Definition Classes
       MarkupParserCommon

123. #### def xTakeUntil[T](handler: (PositionType, String) ⇒ T, positioner: () ⇒ PositionType, until: String): T

     Take characters from input stream until given String "until" is seen.

     Take characters from input stream until given String "until" is seen. Once seen, the accumulated characters are passed along with the current Position to the supplied handler function.

     Attributes
       protected
     Definition Classes
       MarkupParserCommon

124. #### def xText: String

     parse character data.

     parse character data. precondition: xEmbeddedBlock == false (we are not in a scala block)

     Definition Classes
       MarkupParser

125. #### def xToken(that: Seq[Char]): Unit

     Definition Classes
       MarkupParserCommon

126. #### def xToken(that: Char): Unit

     Definition Classes
       MarkupParserCommon

127. #### def xmlProcInstr(): MetaData

     <? prolog ::= xml S .

     <? prolog ::= xml S ... ?>

     Definition Classes
       MarkupParser

### Inherited from MarkupParser

### Inherited from MarkupParserCommon

### Inherited from TokenTests

### Inherited from ExternalSources

### Inherited from ConstructingHandler

### Inherited from MarkupHandler

### Inherited from Logged

### Inherited from AnyRef

### Inherited from Any